For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
        • GETList Test Cases
        • POSTUpsert Test Cases
        • STREAMBulk Update Test Cases
        • DELDelete Test Case
LogoLogo
BlogLog InRequest Demo
Client SDKTest SuitesTest Cases

List Test Cases

Beta
GET
https://api.vellum.ai/v1/test-suites/:id/test-cases
GET
/v1/test-suites/:id/test-cases
1import requests
2
3url = "https://api.vellum.ai/v1/test-suites/id/test-cases"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
200Retrieved
1{
2 "count": 123,
3 "next": "http://api.example.org/accounts/?offset=400&limit=100",
4 "previous": "http://api.example.org/accounts/?offset=200&limit=100",
5 "results": [
6 {
7 "input_values": [
8 {
9 "variable_id": "string",
10 "name": "string",
11 "type": "STRING",
12 "value": "string"
13 }
14 ],
15 "evaluation_values": [
16 {
17 "variable_id": "string",
18 "name": "string",
19 "type": "STRING",
20 "value": "string"
21 }
22 ],
23 "id": "string",
24 "external_id": "string",
25 "label": "string"
26 }
27 ]
28}
List the Test Cases associated with a Test Suite
Was this page helpful?
Previous

Upsert Test Cases

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Either the Test Suites' ID or its unique name

Headers

X-API-VersionstringOptional

Query parameters

limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.

Response

countinteger
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"
resultslist of objects